<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page errorPage="BloxError.jsp" %>

<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.ibm.scm.reports.*" %>

<%@ page import="javax.servlet.http.HttpServletResponse" %>

<!--
  --
  -- @(#)98  1.2  src/web/reports/reportToPDF.jsp, hc.report, scm5110, 060628a  6/28/06  02:23:41   
  --
  -- Licensed Materials - Property of IBM
  -- 5724-F82
  -- (C) Copyright IBM Corp.  2003, 2006
  -- All Rights Reserved
  -- US Government Users Restricted Rights - Use, duplication or 
  -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
  --
-->

<%@ taglib uri="resourcetagstld" prefix="res" %>
<res:checkUser />

<%--

	String bloxID = request.getParameter("bloxID");
	String pdfBloxID = "";

	BloxContext bContext = BloxContextFactory.getBloxContext(request, response);
	if (bContext != null) {
			Blox b = bContext.getBlox(bloxID);

			if (b == null) {
				throw new Exception("Empty blox");
			}

			pdfBloxID = "pdf_"+b.getBloxName();
			PdfBlox pBlox = new PdfBlox();
			pBlox.init(bContext, pdfBloxID);
			
			if (b instanceof ReportBlox) {
				ReportBlox rBlox = null;
				rBlox = (ReportBlox) b;
				pBlox.setInput(rBlox);
				pBlox.setPdfStyleBlox(rBlox.getPdfStyleBlox());
			} else if (b instanceof ChartBlox) {
				return; // Not PDFBlox ?
			} else {
				throw new Exception("Unsupported blox type");
			}
	}


	
	
//	pBlox.init(bContext,"aa");
//	pBlox.setPdfStyleBlox(rBlox.getPdfStyleBlox());
	
	
//	ByteArrayOutputStream os = new java.io.ByteArrayOutputStream();
	
//	pBlox.write(os, null,"ISO-8859-1");
//	out.write(os.toString("ISO-8859-1"));
	
%>

<html>
<head>
<title>Your Page Title</title>
<meta http-equiv="REFRESH" content="0;url=abx/reportbloxpdf?source=<%=pdfBloxID%>"></HEAD>
<BODY>
</BODY>
</HTML>


--%>
<%	
	String bloxID = request.getParameter("bloxID"); 
	String reportID = request.getParameter("reportID");

    BloxContext bloxcontext = BloxContextFactory.getBloxContext(pageContext.getRequest(), pageContext.getResponse());
	PdfHelper pdfHelper = new PdfHelper(pageContext, bloxcontext,reportID,bloxID);
	
	
	PdfBlox pdf = new PdfBlox();
	pdf.setBloxName("SCM_Generated_PDF");
	pdf.setId("SCM_GENERATED_PDF_0");
	
	PdfStyleBlox pdfStyleBlox = new PdfStyleBlox();

	pdfStyleBlox.setDataStyle("font-size: 8pt;");
	pdfStyleBlox.setColumnHeaderStyle("font-size: 9pt;");

	pdfStyleBlox.setGroupHeaderStyle(0, "font-size: 12pt;");
	pdfStyleBlox.setGroupHeaderStyle(1, "font-size: 12pt;");
	pdfStyleBlox.setGroupHeaderStyle(2, "font-size: 11pt;");
	pdfStyleBlox.setGroupHeaderStyle(3, "font-size: 11pt;");
	pdfStyleBlox.setGroupHeaderStyle(4, "font-size: 10pt;");

	pdfStyleBlox.setStyle("footerText",pdfHelper.getFooter());
	pdfStyleBlox.setStyle("headerText",pdfHelper.getHeader());
//	pdfStyleBlox.setStyle("width","29cm"),"height" ...;

	pdf.setPdfStyleBlox(pdfStyleBlox);
	
	// Put the blox 'in context'
	pdfHelper.putBloxInContext(pdf,pdf.getBloxName(),pdf.getId());

	ReportBlox rBlox = pdfHelper.getReportBlox();
    rBlox.setPdfStyleBlox(pdfStyleBlox);
    pdf.setInput(rBlox);
    
    // This is due to BUG in AlphaBlox PDF engine. We have to remove links from data
    pdfHelper.removeLinks();
    
    
    IPdfBlox ipdfblox = pdf.getInput();
    if(ipdfblox != null)
    {
       String s1 = pdf.getBloxName();
       String s = ((ReportBlox)ipdfblox).getUrlPrefix() + "/reportbloxpdf?source=" + s1;

       ((HttpServletResponse)pageContext.getResponse()).sendRedirect(s);
   	}
%>	
	
<%--
	// This is not that smart, but because it seems that AlphaBlox
	// is missing API that does the same thing as bloxreport:pdf tag, 
	// we do it in this way:

	BloxContext bContext = BloxContextFactory.getBloxContext(request, response);
	if (bContext != null) {
		String reportTitle = "";
		String filtersApplyMsg = "";
		String showedPagesMsg = "";

		Blox b = bContext.getBlox("mypdf_");
		if (b != null) {
			b.deleteBlox();
		}
		
		ReportBlox rBlox = (ReportBlox) bContext.getBlox(bloxID);
		if (rBlox != null) {
			ReportBean report = ReportsFactory.getPreviouslyLoadedReport(Integer.parseInt(reportID));
			ReportBloxBean rbb = (ReportBloxBean) report.getBloxBean(bloxID);
			PagedSQLDataBlox pgd = (PagedSQLDataBlox) bContext.getBlox(rbb.getPagedSQLDataBloxID());

			
			reportTitle = report.getTranslatedTitle();
			if (pgd.isDataFiltered()) {
				filtersApplyMsg = ResourceProvider.getJspString("filtering-applied");
			}
			
			int lastPageNumber = pgd.getLastPageNumber();
			if (lastPageNumber > 1) {
				showedPagesMsg = ResourceProvider.getJspString(
					"showing-page-x-of-x-rows-x",
					new Object[] {
						new Integer(pgd.getCurrentPage()),
						new Integer(lastPageNumber),
						new Integer(pgd.getRowsPerPage())
					});
			}
			

			PdfStyleBlox pdfStyle = rBlox.getPdfStyleBlox();
			pdfStyle.setTextStyle("font-size: 4px;");
			pdfStyle.setDataStyle("font-size: 4px;");
			rBlox.setPdfStyleBlox(pdfStyle);
			
		}
		
		
		header=reportTitle;
		footer=filtersApplyMsg;
		if (footer.length() > 0 && showedPagesMsg.length() > 0)
			footer += ", ";
		footer += showedPagesMsg;
	}
	
 --%>

<%--
<bloxreport:pdf id='mypdf_' report='<%= bloxID %>' headerText="<%=header%>" footerText="<%=footer%>"/>
--%>
	
 