<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page errorPage="BloxError.jsp" %>

<jsp:useBean id="currentSession" class="com.ibm.scm.reports.SessionContext" scope="session"/>
<% currentSession.setServletContext(this.getServletContext()); %>

<%@ taglib uri="WEB-INF/tlds/resourcetags.tld" prefix="res" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<%@ page import="com.ibm.scm.reports.*"%>
<%@ page import="java.util.*"%>

<!--
  --
  -- @(#)10  1.6  src/web/reports/reportsNavigator.jsp, hc.report, scm5110, 070110a  1/9/07  09:19:34   
  --
  -- Licensed Materials - Property of IBM
  -- 5724-F82
  -- (C) Copyright IBM Corp.  2003, 2006
  -- All Rights Reserved
  -- US Government Users Restricted Rights - Use, duplication or 
  -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
  --
-->

<res:checkUser />

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
 	<link rel="stylesheet" href="res/styles.css" /> 
 	<script type="text/javascript" language="javascript" src="res/navigationHelpers.js" ></script>

	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body>



<%--------------------------------------------------------%>
<%--                                                    --%>
<%-- Render the menu panel.                             --%>
<%--                                                    --%>
<%--------------------------------------------------------%>
<div class="treeContentBox">
<!-- <div class="titleBarText">TSCM Operational Reports</div>-->

<%-- Display links to reports --%>
<div class="divTopTree" style="color: #200080; font-weight: bold;"><res:t id='operational-reports'/></div>
<% 
	ReportsCatalog reportsCat = currentSession.getReportsCatalog();
	
	for (Iterator it = reportsCat.getNavigatorItems().iterator(); it.hasNext();) {
		ReportsCatalog.NavigatorItem rep = (ReportsCatalog.NavigatorItem) it.next();
	
		// Print the label for grouped reports	
		if (rep.isGroupingLabel()) {
			if (rep.getName() != null && rep.getName().length() > 0)
				out.println("<b><i>"+rep.getName()+"</i></b><br/>");
		// Print the report link
		} else if (rep.isReport()) {
			String reportSectionsID="sections_"+rep.getXmlPath().hashCode();
 %>
	
		<div class="titleBox" >
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td>
						<img id = "img_<%=reportSectionsID %>" 
							 src="res/base/tree_closed.gif" 
							 border="0" 
							 onClick="expandCollapseTree('<%=reportSectionsID %>'); return true;">		
					</td>
					<td>	
						<a
							 target="contentsFrame" 
							 class="menubox" 
							 href="report.jsp?<%=ReportsCatalog.getReportLink(rep)%>">
							 	<%=rep.getName()%>
						</a>
						<br/>
					</td>
				</tr>
			</table>
			
			<%-- Read the report sections... --%>
			<div style='padding-left: 20px; font-size: 8pt;display: none;' id="<%=reportSectionsID %>">
				<table border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<img src="res/item_header.gif" border="0"/>
						</td>
						<td>
							<a 
								onClick="parent.document.getElementById('contentsFrame').contentWindow.location.hash='<%= rep.getLinkID() %>';"
								href="#">
									<res:t id='header'/>
							</a>
							<br/>
						</td>
					</tr>

				<%

				for (Iterator itSection = rep.getSections().iterator(); itSection.hasNext();) {
					AbstractBloxBean bb = (AbstractBloxBean) itSection.next();
					
					String icon="";
					if (bb.getBloxType() == AbstractBloxBean.BLOX_RELATIONAL_REPORT) {
							icon="res/item_report.gif";
					} else if (bb.getBloxType() == AbstractBloxBean.BLOX_CHART) {
							icon="res/item_chart.gif";
					}
					%>
						<tr>
							<td>
								<img src="<%=icon %>" border="0">
							</td>
							<td>
								<a 
									onClick="parent.document.getElementById('contentsFrame').contentWindow.location.hash='<%=bb.getLinkId() %>';"
									href="#">	<%=bb.getTranslatedTitle()%></a>
								<br/>
							</td>
						</tr>
					<%
//					out.println("<a onClick=\"parent.document.getElementById('contentsFrame').src='"+"report.jsp?report="+rep.getXmlFile()+"#"+bb.getLinkId()+"';\"href=\"#\">"+bb.getTitle()+"</a><br/>");
				}
				 %>
				 </table>
		 	</div>
		 	
		</div>
<%
		} // isReport()
	} // for (Iterator...)
 %>
<%--	</table> --%>
<br/>

<div align="center" style="font-size: 8pt;">&copy; IBM 2007</div>
</div>
</body>
</html>