// navigationHelpers.js
/*********************************************************************
 * @(#)12  1.2  src/web/reports/res/navigationHelpers.js, hc.report, scm5110, 060628a  6/28/06  02:24:32 
 *
 * Licensed Materials - Property of IBM
 * 5724-F82
 * (C) Copyright IBM Corp.  2003 - 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *********************************************************************
 */


// collapse/expand icons
var IMAGE_EXPANDED;
var IMAGE_COLLAPSED;
if ( document.images ) {
    IMAGE_EXPANDED = new Image();
    IMAGE_EXPANDED.src = 'res/base/tree_open.gif';
    IMAGE_EXPANDED.alt = 'Click to collapse';
    IMAGE_COLLAPSED = new Image();
    IMAGE_COLLAPSED.src = 'res/base/tree_closed.gif';
    IMAGE_COLLAPSED.alt = 'Click to expand';
}

function blocking(nr)
{
        if (document.layers)
        {
                current = (document.layers[nr].display == 'none') ? 'block' : 'none';
                document.layers[nr].display = current;
        }
        else if (document.all)
        {
                current = (document.all[nr].style.display == 'none') ? 'block' : 'none';
                document.all[nr].style.display = current;
        }
        else if (document.getElementById)
        {
                vista = (document.getElementById(nr).style.display == 'none') ? 'block' : 'none';
                document.getElementById(nr).style.display = vista;
        }
}

function expandCollapseTree(treeID)
{
  var e = document.getElementById( 'img_' + treeID );
  var wasExpanded = false;
  if ( e ) {
    wasExpanded = e.src == IMAGE_EXPANDED.src;
    e.alt = ( wasExpanded ? IMAGE_COLLAPSED : IMAGE_EXPANDED ).alt;
    e.src = ( wasExpanded ? IMAGE_COLLAPSED : IMAGE_EXPANDED ).src;
  }
  
  blocking(treeID);

  return false;
}

