<%@ page language="java" contentType="text/javascript; charset=UTF-8"%>

/*********************************************************************
 * 
 * @(#)15  1.3  src/web/reports/res/reportsHelpers.jsp, hc.report, scm5110, 060901a  8/7/06  10:16:10   
 *
 * Licensed Materials - Property of IBM
 * 5724-F82
 * (C) Copyright IBM Corp.  2003, 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *********************************************************************
 */
 
<%@ taglib uri="resourcetagstld" prefix="res" %>

// reportsHelpers.js

		function submitFilteringForm() {
			document.getElementById('filteringForm').submit();
		}
		
		function setChartType(chartId, chartType) {
			bloxAPI.call("setChartParameters.jsp?chartID="+chartId+"&chartType="+chartType); 
			return true;
		}

		function refresh(reportName) {
			refreshReport(reportName);
		}
		
		function setPageNumberStatus(status) {
			document.getElementById('pageNumberStatus').innerHTML=status;
		}
		
		function setPageNumberStatusWaiting() {
			setPageNumberStatus('<res:t id='please-wait'/>');
		}

		function setPagesComboBox(lastPageNumber) {
			var i=1;
			var opts = document.getElementById('pageNumber').options;
			opts.length = 0;
			for (i = 1; i <= lastPageNumber; i++) {
				opts[i] = new Option(i, i);
			}

		}
		
		/* Handler used when combo box with pages is changed */
		function onPagesComboChange(rBloxName, pgdBloxName) {
			var combo = document.getElementById('pageNumber');
			var selected = combo.options[combo.selectedIndex];
			var pageNumber = selected.value;
			if (pageNumber) {
				setPageNumber(rBloxName,pgdBloxName,pageNumber);
			}
		}

		function setPageNumberStatusPage(num, count) {
			setPageNumberStatus('<res:t id='showing-page-x-of-x' arg0='<b>\'+num+\'</b>' arg1='<b>\'+count+\'</b>'/>');
			// Status bar option list
			setPagesComboBox(count);
		}
		

		function setPageNumber(reportName, pagedBloxName, pageNumber) {
			setPageNumberStatusWaiting();
			document.getElementById('reqFrame').src='setQueryDynamically.jsp?reportName='+reportName+"&pagedBloxName="+pagedBloxName+'&pageNumber='+pageNumber;
		}
		
		function setRowsPerPage(reportName, pagedBloxName, rowsPerPage) {
			setPageNumberStatusWaiting();
			document.getElementById('reqFrame').src='setQueryDynamically.jsp?reportName='+reportName+"&pagedBloxName="+pagedBloxName+'&rowsPerPage='+rowsPerPage;
		}
		
		function setDataFilteredWarning(isDataFiltered) {
			var sep = '';
			var msg = '';
			if (isDataFiltered) {
				sep = '| ';
				msg = '<res:t id='filtering-applied'/>';
			}
			document.getElementById('filtersApplyWarningSeparator').innerHTML = sep;
			document.getElementById('filtersApplyWarning').innerHTML = msg;
		}
		
		function toggleOverflowMode(id) 
		{
			var el = document.getElementById(id);
			if (el.style.overflow == 'visible') {
				el.style.overflow = 'auto';
				el.style.height = 'auto';
				el.style.maxHeight = '300px';
				el.style.width = '240px';
			} else {
				el.style.height = 'auto';
				el.style.overflow = 'visible';
				el.style.maxHeight = 'none';
				el.style.width = 'auto'
			}
		}
		
		function openHelp() {
		//	var locale='<%=java.util.Locale.getDefault().getLanguage()%>';
		//	window.open('reportHelp.jsp', 'reportHelp', 'width=500,height=560,scrollbars=yes,toolbar=no,menubar=no,directories=no, status=no');
			openAlphaBloxHelp();
		}
		
		function openAlphaBloxHelp() {
			var locale='<%=java.util.Locale.getDefault().getLanguage()%>';
			window.open(
				'/AlphabloxServer/documentation/help/ReportBlox/'+locale+'/index.html',
				'reportHelp',
				'width=500,height=560,scrollbars=yes,toolbar=no,menubar=no,directories=no, status=no'); 
		}
		
		function blocking(nr)
		{
			if (document.layers)
		    {
		    	current = (document.layers[nr].display == 'none') ? 'block' : 'none';
		        document.layers[nr].display = current;
		    }
		    else if (document.all)
		    {
		    	current = (document.all[nr].style.display == 'none') ? 'block' : 'none';
		        document.all[nr].style.display = current;
		    }
		    else if (document.getElementById)
        	{
        	     vista = (document.getElementById(nr).style.display == 'none') ? 'block' : 'none';
            	 document.getElementById(nr).style.display = vista;
        	}
		}


		// Setting display mode to block/none in global page context
		
		// DEPRECATED - START

		var isBlocking = 'none';

		function blockingGlobal(nr)
		{
			if (document.layers)
		    {
		    	current = (isBlocking == 'none') ? 'block' : 'none';
		        document.layers[nr].display = current;
		    }
		    else if (document.all)
		    {
		    	current = (isBlocking == 'none') ? 'block' : 'none';
		        document.all[nr].style.display = current;
		    }
		    else if (document.getElementById)
        	{
        	     vista = (isBlocking == 'none') ? 'block' : 'none';
            	 document.getElementById(nr).style.display = vista;
        	}
		}

		function endBlockingGlobal() {
			isBlocking = (isBlocking == 'none') ? 'block' : 'none';
		}
		
		// DEPRECATED - END

		function check_uncheck_cbs(formName, namePrefix, driverCBName) {
			var formElement = document.getElementById(formName);
			var driverCB = formElement.elements[driverCBName];
			var i = 0;

			for (i = 0; i < formElement.elements.length; i++) 
		    	if (formElement.elements[i].type == 'checkbox' && formElement.elements[i].name.indexOf(namePrefix) != -1) {
			        formElement.elements[i].checked = driverCB.checked;
			    }
			    
		}

