<%@ page language="java" contentType="text/html; charset=UTF-8"%>

<%@ taglib uri="bloxtld" prefix="blox" %>

<%@ page import="com.alphablox.blox.*" %>

<!--
  --
  -- @(#)17  1.2  src/web/reports/setChartParameters.jsp, hc.report, scm5110, 060628a  6/28/06  02:23:44   
  --
  -- Licensed Materials - Property of IBM
  -- 5724-F82
  -- (C) Copyright IBM Corp.  2003, 2006
  -- All Rights Reserved
  -- US Government Users Restricted Rights - Use, duplication or 
  -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
  --
-->


<%@ taglib uri="resourcetagstld" prefix="res" %>
<res:checkUser />

<% 
	String chartID = request.getParameter("chartID"); 

	ChartBlox cBlox = null;
	
	if (chartID != null) {
		BloxContext bContext = BloxContextFactory.getBloxContext(request, response);
		if (bContext != null)
			cBlox = (ChartBlox) bContext.getBlox(chartID);
	}

	if (cBlox != null) {
		String visibilityChoice = request.getParameter("visible");
		if (visibilityChoice != null && visibilityChoice.trim().length() != 0) {
			boolean visibility = Boolean.getBoolean(visibilityChoice);

			cBlox.setVisible(visibility);
		}
	
		String chartTypeChoice = request.getParameter("chartType");
		if (chartTypeChoice != null && chartTypeChoice.trim().length() != 0) {
			cBlox.setChartType(chartTypeChoice);
		}
	}
%>